#### Previous topic

scipy.spatial.distance.correlation

#### Next topic

scipy.spatial.distance.dice

# scipy.spatial.distance.cosine

`scipy.spatial.distance.``cosine`(u, v)

  Computes the Cosine distance between 1-D arrays.

  The Cosine distance between u and v, is defined as

  \[1 - \frac{u \cdot v} {||u||_2 ||v||_2}.\]

  where \(u \cdot v\) is the dot product of \(u\) and \(v\).

  Parameters:

  u : (N,) array_like

  > Input array.

  v : (N,) array_like

  > Input array.

  Returns:

  cosine : double

  > The Cosine distance between vectors u and v.